Subject: Re: [PATCH] cxl: abort cxl_pci_enable_device_hook() if PCI channel is offline

From: Andrew Donnellan <[email-masked]>
Date: Mon, 07 Sep 2015 10:22:31 +1000

On 07/09/15 09:58, Ian Munsie wrote:
> Excerpts from andrew.donnellan's message of 2015-09-04 16:20:24 +1000:
>> +    if (!cxl_adapter_link_ok(afu->adapter))
>> +        dev_warn(&dev->dev, "%s: Device link is down, refusing to enable AFU\n", __func__);
>> +        return false;
>
> Based on the indentation it looks like you meant to add some curly
> brackets here.

Indeed I did, and I'd even thought I'd tested it... this is why I 
shouldn't be allowed to submit patches at 4pm on Fridays...

Will submit V2.

(FWIW, I'm a firm believer in braces around single statements in 
conditionals to avoid mistakes like this, but CodingStyle disagrees...)

Andrew

-- 
Andrew Donnellan              Software Engineer, OzLabs
[email-masked]  Australia Development Lab, Canberra
+61 2 6201 8874 (work)        IBM Australia Limited